diff sources/control-images/bootstrap-skeleton/files/run-build-stages.sh @ 1275:a4cb2ed0a551

Move sources/native-builds to sources/control-images, so the naming is consistent.
author Rob Landley <rob@landley.net>
date Sun, 07 Nov 2010 15:55:26 -0600
parents sources/native-builds/bootstrap-skeleton/files/run-build-stages.sh@7a60afa1846c
children 44073390f2b3
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/sources/control-images/bootstrap-skeleton/files/run-build-stages.sh	Sun Nov 07 15:55:26 2010 -0600
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+# Run each of the individual package build files, in order.
+
+[ -z "$FILTER" ] || FILTER="/$FILTER/d"
+for i in $(sed -r -e "$FILTER" -e "s@#.*@@" /mnt/package-list)
+do
+  /mnt/build-one-package.sh "$i" || exit 1
+done